# coding: utf-8

"""
    CardScan API

    The official documentation for the CardScan API Clients.

    The version of the OpenAPI document: 1.0.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from datetime import datetime

from pydantic import BaseModel, Field, StrictStr

class GenerateMagicLink200Response(BaseModel):
    """
    GenerateMagicLink200Response
    """
    magic_link: StrictStr = Field(default=..., description="The URL of the magic link")
    token: StrictStr = Field(default=..., description="The token associated with the magic link")
    expires_at: datetime = Field(default=..., description="The expiration date and time of the magic link")
    __properties = ["magic_link", "token", "expires_at"]

    class Config:
        """Pydantic configuration"""
        allow_population_by_field_name = True
        validate_assignment = True

    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.dict(by_alias=True))

    def _json_serializer(self, obj):
        """JSON serializer function for datetime objects"""
        if isinstance(obj, datetime):
            return obj.isoformat()

        raise TypeError(f"Type {type(obj)} not serializable")

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        return json.dumps(self.to_dict(), default=self._json_serializer)

    @classmethod
    def from_json(cls, json_str: str) -> GenerateMagicLink200Response:
        """Create an instance of GenerateMagicLink200Response from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self):
        """Returns the dictionary representation of the model using alias"""
        _dict = self.dict(by_alias=True,
                          exclude={
                          },
                          exclude_none=True)
        return _dict

    @classmethod
    def from_dict(cls, obj: dict) -> GenerateMagicLink200Response:
        """Create an instance of GenerateMagicLink200Response from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return GenerateMagicLink200Response.parse_obj(obj)

        _obj = GenerateMagicLink200Response.parse_obj({
            "magic_link": obj.get("magic_link"),
            "token": obj.get("token"),
            "expires_at": obj.get("expires_at")
        })
        return _obj


