# coding: utf-8

"""
    CardScan API

    The official documentation for the CardScan API Clients.

    The version of the OpenAPI document: 1.0.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json



from pydantic import BaseModel, Field, StrictStr, constr

class SubscriberDto(BaseModel):
    """
    SubscriberDto
    """
    first_name: constr(strict=True, max_length=35, min_length=1) = Field(default=..., description="The subscriber's first name. Required and must contain 1-35 alphanumeric characters.  Use this for accurate identification of the subscriber. ")
    last_name: constr(strict=True, max_length=60, min_length=1) = Field(default=..., description="The subscriber's last name. Required and must contain 1-60 alphanumeric characters.  This field is critical for matching subscriber records. ")
    date_of_birth: StrictStr = Field(default=..., description="The subscriber's date of birth, formatted as YYYYMMDD.  Required for validation and eligibility checks.  Example: '19800101' ")
    __properties = ["first_name", "last_name", "date_of_birth"]

    class Config:
        """Pydantic configuration"""
        allow_population_by_field_name = True
        validate_assignment = True

    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.dict(by_alias=True))

    def _json_serializer(self, obj):
        """JSON serializer function for datetime objects"""
        if isinstance(obj, datetime):
            return obj.isoformat()

        raise TypeError(f"Type {type(obj)} not serializable")

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        return json.dumps(self.to_dict(), default=self._json_serializer)

    @classmethod
    def from_json(cls, json_str: str) -> SubscriberDto:
        """Create an instance of SubscriberDto from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self):
        """Returns the dictionary representation of the model using alias"""
        _dict = self.dict(by_alias=True,
                          exclude={
                          },
                          exclude_none=True)
        return _dict

    @classmethod
    def from_dict(cls, obj: dict) -> SubscriberDto:
        """Create an instance of SubscriberDto from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return SubscriberDto.parse_obj(obj)

        _obj = SubscriberDto.parse_obj({
            "first_name": obj.get("first_name"),
            "last_name": obj.get("last_name"),
            "date_of_birth": obj.get("date_of_birth")
        })
        return _obj


