# coding: utf-8

"""
    CardScan API

    The official documentation for the CardScan API Clients.

    The version of the OpenAPI document: 1.0.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json



from pydantic import BaseModel, Field, StrictBool

class WebhookCardCompletedEventConfiguration(BaseModel):
    """
    Configuration settings used during the card scan.  # noqa: E501
    """
    enable_backside_scan: StrictBool = Field(default=..., description="Flag to enable backside scan.")
    enable_livescan: StrictBool = Field(default=..., description="Flag to enable live scanning.")
    enable_payer_match: StrictBool = Field(default=..., description="Flag to enable payer matching.")
    __properties = ["enable_backside_scan", "enable_livescan", "enable_payer_match"]

    class Config:
        """Pydantic configuration"""
        allow_population_by_field_name = True
        validate_assignment = True

    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.dict(by_alias=True))

    def _json_serializer(self, obj):
        """JSON serializer function for datetime objects"""
        if isinstance(obj, datetime):
            return obj.isoformat()

        raise TypeError(f"Type {type(obj)} not serializable")

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        return json.dumps(self.to_dict(), default=self._json_serializer)

    @classmethod
    def from_json(cls, json_str: str) -> WebhookCardCompletedEventConfiguration:
        """Create an instance of WebhookCardCompletedEventConfiguration from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self):
        """Returns the dictionary representation of the model using alias"""
        _dict = self.dict(by_alias=True,
                          exclude={
                          },
                          exclude_none=True)
        return _dict

    @classmethod
    def from_dict(cls, obj: dict) -> WebhookCardCompletedEventConfiguration:
        """Create an instance of WebhookCardCompletedEventConfiguration from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return WebhookCardCompletedEventConfiguration.parse_obj(obj)

        _obj = WebhookCardCompletedEventConfiguration.parse_obj({
            "enable_backside_scan": obj.get("enable_backside_scan"),
            "enable_livescan": obj.get("enable_livescan"),
            "enable_payer_match": obj.get("enable_payer_match")
        })
        return _obj


